summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2018-03-21 23:42:27 +0100
committerPatrice Clement <monsieurp@gentoo.org>2018-03-22 14:05:57 +0100
commit0f13b7a2337180605615397d5c914290c6ccd41c (patch)
treefe7e6516990ccc213fc19ee43f7af800df82acb5 /dev-python/utidylib
parentmedia-sound/picard: update GTK+ icon cache (diff)
downloadgentoo-0f13b7a2337180605615397d5c914290c6ccd41c.tar.gz
gentoo-0f13b7a2337180605615397d5c914290c6ccd41c.tar.bz2
gentoo-0f13b7a2337180605615397d5c914290c6ccd41c.zip
dev-python/utidylib: remove app-text/htmltidy dependency.
Bug: https://bugs.gentoo.org/564884 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-python/utidylib')
-rw-r--r--dev-python/utidylib/utidylib-0.3-r2.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/utidylib/utidylib-0.3-r2.ebuild b/dev-python/utidylib/utidylib-0.3-r2.ebuild
new file mode 100644
index 00000000000..180247a06a1
--- /dev/null
+++ b/dev-python/utidylib/utidylib-0.3-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+MY_P="uTidylib-${PV}"
+
+DESCRIPTION="TidyLib Python wrapper"
+HOMEPAGE="https://cihar.com/software/utidylib/"
+SRC_URI="http://dl.cihar.com/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ app-text/tidy-html5
+ dev-python/six[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+RESTRICT="test" # 1/11 tests fail
+
+S="${WORKDIR}/${MY_P}"
+
+python_compile_all() {
+ if use doc; then
+ ${EPYTHON} setup.py build_sphinx || die
+ fi
+}
+
+python_test() {
+ py.test || die "testsuite failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( build/sphinx/html/. )
+ distutils-r1_python_install_all
+}